Support » Fixing WordPress » Fatal error in widgets.php

  • Hi all,
    I have made some changes to my options menu in dashboard and now my sidebar widgets are all screwed up.
    It shows the following error message:
    (www.cafefernando.com)

    Fatal error: Cannot use string offset as an array in /home/cafeson6/public_html/wp-content/plugins/widgets/widgets.php on line 829

    I checked the line and it has the following code:

    $title = $options[$number][‘title’];

    Please help.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Geeez … this guy posted 3 months ago and got no reply. Am I outta luck?

    V2.3.1, Acitivating SideBar Widgets produces the following:

    “Plugin could not be activated because it triggered a fatal error.”

    Error text is as follows:
    “Fatal error: Cannot redeclare register_sidebars() (previously declared in [correct directories here]/blog/wp-includes/widgets.php:15) in [correct directories here]/wp-content/plugins/widgets/widgets.php on line 42”

    Everything has been working fine, but I want to install MyBlogLog widget … which requires that this be activated …

    ‘Sup?

    –bentrem
    bentrem.sycks.net/blog/

    You shouldn’t need the sidebar widgets plugin in any recent version of WP–it’s become part of the core WP code.

    Hence the error–you’re trying to redeclare functions that have been declared already.

    I have the same error without using a sidebar widget plugin.

    I upgraded from 2.2 to 2.3.2 and got this error

    @john:

    You’ve probably worked this out by now, but I was going looking through my profile and saw that you had responded.

    If you are having exactly the same error, then I guarantee you that you have the sidebar widget plugin installed. Read the text of the error (note the boldface part):

    Fatal error: Cannot redeclare register_sidebars() (previously declared in [correct directories here]/blog/wp-includes/widgets.php:15) in [correct directories here]/wp-content/plugins/widgets/widgets.php on line 42

    Mu problem was fixed by deleting

    define(‘DB_CHARSET’, ‘utf8’);
    define(‘DB_COLLATE’, ”);

    in wp-config.php

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Fatal error in widgets.php’ is closed to new replies.